<? require'header.php';

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}?>
<div class="menucenter">
<?
include("auction/setup.php");
$id_user = intval($_GET["id_user"]);
$res = mysql_query("SELECT * FROM tb_users WHERE id='$id_user' and referer='".$_SESSION["username"]."' LIMIT 1");

if(mysql_num_rows($res) <= 0){
  echo "<div class='error'>Ошибка! Это не Ваш реферал</div>";

}else{
  $row = mysql_fetch_assoc($res);

  $res1=mysql_query("select price from tb_config where item='refbirjminclick'");
  $res1=mysql_fetch_assoc($res1);
  $minclick=$res1["price"];
  if($row["visits"]<$minclick){
    echo "Низкая активность";

  }else{
    $auz=mysql_query("SELECT id FROM `still_aukcion` WHERE idu='$id_user' and idpr = '".$duser["id"]."' and status = '0'");
    if(mysql_num_rows($auz) > 0){

      echo "<div class='error'>Ошибка! Уже выставлен на аукцион</div>";

    }else{
      $auz=mysql_query("SELECT id FROM `still_aukcion` WHERE tim_end > '".time()."' ");
      if(mysql_num_rows($auz) >= $con_auc["max"]){

        echo "<div class='error'>Ошибка! Привышен лимит аукционов, дождитесь пока закончится хоть один аукцион</div>";

      }else{
        $rs_b=mysql_query("select id from tb_refbirj where iduser='$id_user'");
		if(mysql_num_rows($rs_b) > 0){
		  echo "<div class='error'>Ошибка! Уже выставлен на биржу</div>";

		}else{
          if($_POST["prav"]==1){
            if($con_auc["cena"] > $duser["money_cr"]){
              echo "<div class='error'>Ошибка! У Вас на рекламном счету не достаточно средств</div>";

            }else{
              $money_a = intval($_POST["money"]);

              if($money_a < 1 or $money_a > 10){
                echo "<div class='error'>Обман системы. Не хорошо!!</div>";

              }else{

                mysql_query("UPDATE tb_users SET money_cr=money_cr - '".$con_auc["cena"]."' WHERE id='".$duser["id"]."'");

                $t_end = time()+($con_auc["time"]*60);

                mysql_query("insert into still_aukcion (`idu`, `idpr`, `tim_start`, `tim_end`, `money`)
                values ('$id_user', '".$duser["id"]."', UNIX_TIMESTAMP(), '$t_end', '$money_a')");

                echo "<div class='good'>Аукцион создан</div>";include("footer.php");exit;

              }

            }

          }
?>



<form action="" method="post">
<center><div class="menuheadbbb" style='width:400px;text-align:center;'>Стоимость создания аукциона: <b style='color:red;'><?=$con_auc["cena"]?></b> руб.</div></center>
<div class='menucenter'>
<div class="name" style='margin-bottom:3px;'><b>Создание лота</b></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td>Реферал:</td>
<td><?=$row["username"]?></td>
</tr>
<tr>
<td>Комиссия системы:</td>
<td><font color='red'><?=$con_auc["procent"]?>%</font> от банка лота</td>
</tr><tr>
<td>Размер ставки:</td>
<td>

<select size="1" name="money">
  <option value="1">1 руб</option>
  <option value="2">2 руб</option>
  <option value="3">3 руб</option>
  <option value="4">4 руб</option>
  <option value="5">5 руб</option>
  <option value="6">6 руб</option>
  <option value="7">7 руб</option>
  <option value="8">8 руб</option>
  <option value="9">9 руб</option>
  <option value="10">10 руб</option>
</select>

</td>
</tr><tr>
<td>Продолжительность аукциона:</td>
<td><font color='red'><?=$con_auc["time"]?></font> мин. если нет ни одной ставки</td>
</tr><tr bgcolor="#FFC">
<td colspan=2 align="center"><input name="prav" type="checkbox" value="1"> Согласен с правилами проведения аукциона</td>
</tr>
</tr>
</table>
<center><input type="submit" class='ok_wm' value="Создать"></center>
</form>

<?
        }

      }

    }

  }

}
?>

</div>
<? require 'footer.php'; ?>